# Decoder

## Как скопировать репозиторий?

### Поставить git клиент
Для этого нужно иметь git на вашем компьютере, есть git клиенты c интерфейсом, но я предлагаю все делать через консоль т.к. так быстрее и проще:

### Узнать имя пользователя
Для этого перейдите по ссылке https://git.miem.hse.ru, нажмите на свою аватарку, под вашем именем будет ваше имя в git, @\<username\>

### Создать пароль
Нужно перейти в настройки, и создать пароль, теперь когда git будет требовать имя и пароль, нужно вводить эти данные

### Клонировать репозиторий на ваш компьютер
Чтобы скопировать репозиторий, необходимо выполнить команду в терминале, открытом в нужной вам директории 
```
git clone https://git.miem.hse.ru/nauchpok/Nauchpok.git
```

### Заполните данные о себе
```
git config user.name "Имя Фамилия"
git config user.email почта
```
Важно!!! Эти данные необходимо писать в каждом новом репозитории 

## Как работать с удаленным репозиторием

### Всегда создаем отдельную ветку

Никогда не вносим и не пушим изменения в ветку master, всегда необходимо создавать новую ветку и работать уже в ней, для этого:
```
git pull origin master
```
эта команда обновит ваш локальный репозиторий изменениями в удаленном, всегда выполняем ее перед ответвлением
```
git checkout -b <фамилия>-patch-<осмысленное>-<название>
```
эта команда создает новую ветку и переносит вас в нее

### Вы накодили, что дальше

```
git status
```
Показывает статус измененных файлов
```
git add . 
```
Добавляет все файлы к коммиту, можно так же указать конкретный файл, а не все
```
git commit
```
Фиксирует изменения которые вы добавили предыдущей командой
```
git push origin <название ветки>
```
Создает merge request переходим по ссылке и зовем меня
